import type { PropType, ExtractPropTypes } from 'vue';
export interface CardTabListType {
    key: string;
    tab: any;
    /** @deprecated Please use `customTab` instead. */
    slots?: {
        tab: string;
    };
    disabled?: boolean;
}
export declare type CardType = 'inner';
export declare type CardSize = 'default' | 'small';
declare const cardProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    title: import("vue-types").VueTypeValidableDef<any>;
    extra: import("vue-types").VueTypeValidableDef<any>;
    bordered: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    bodyStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    headStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    loading: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    hoverable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    type: {
        type: PropType<"inner">;
    };
    size: {
        type: PropType<CardSize>;
    };
    actions: import("vue-types").VueTypeValidableDef<any>;
    tabList: {
        type: PropType<CardTabListType[]>;
    };
    tabBarExtraContent: import("vue-types").VueTypeValidableDef<any>;
    activeTabKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultActiveTabKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    cover: import("vue-types").VueTypeValidableDef<any>;
    onTabChange: {
        type: PropType<(key: string) => void>;
    };
};
export declare type CardProps = Partial<ExtractPropTypes<ReturnType<typeof cardProps>>>;
declare const Card: import("vue").DefineComponent<{
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    title: import("vue-types").VueTypeValidableDef<any>;
    extra: import("vue-types").VueTypeValidableDef<any>;
    bordered: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    bodyStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    headStyle: import("vue-types").VueTypeValidableDef<import("vue").CSSProperties>;
    loading: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    hoverable: import("vue-types").VueTypeValidableDef<boolean> & {
        default: boolean;
    };
    type: {
        type: PropType<"inner">;
    };
    size: {
        type: PropType<CardSize>;
    };
    actions: import("vue-types").VueTypeValidableDef<any>;
    tabList: {
        type: PropType<CardTabListType[]>;
    };
    tabBarExtraContent: import("vue-types").VueTypeValidableDef<any>;
    activeTabKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    defaultActiveTabKey: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    cover: import("vue-types").VueTypeValidableDef<any>;
    onTabChange: {
        type: PropType<(key: string) => void>;
    };
}, () => JSX.Element, unknown, {}, {}, {
    methods: {
        setState(state: {}, callback: any): void;
        __emit(...args: any[]): void;
    };
}, import("vue").ComponentOptionsMixin, Record<string, any>, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    prefixCls?: unknown;
    title?: unknown;
    extra?: unknown;
    bordered?: unknown;
    bodyStyle?: unknown;
    headStyle?: unknown;
    loading?: unknown;
    hoverable?: unknown;
    type?: unknown;
    size?: unknown;
    actions?: unknown;
    tabList?: unknown;
    tabBarExtraContent?: unknown;
    activeTabKey?: unknown;
    defaultActiveTabKey?: unknown;
    cover?: unknown;
    onTabChange?: unknown;
} & {
    prefixCls: string;
    loading: boolean;
    bordered: boolean;
    hoverable: boolean;
    activeTabKey: string;
    defaultActiveTabKey: string;
} & {
    title?: any;
    cover?: any;
    size?: CardSize;
    type?: "inner";
    extra?: any;
    tabBarExtraContent?: any;
    bodyStyle?: import("vue").CSSProperties;
    headStyle?: import("vue").CSSProperties;
    actions?: any;
    tabList?: CardTabListType[];
    onTabChange?: (key: string) => void;
}>, {
    prefixCls: string;
    loading: boolean;
    bordered: boolean;
    hoverable: boolean;
    activeTabKey: string;
    defaultActiveTabKey: string;
}>;
export default Card;
