import type { CSSProperties } from 'vue';
import type { VueNode } from '../_util/type';
export declare type NotificationPlacement = 'topLeft' | 'topRight' | 'bottomLeft' | 'bottomRight';
export declare type IconType = 'success' | 'info' | 'error' | 'warning';
export interface ConfigProps {
    top?: string | number;
    bottom?: string | number;
    duration?: number;
    prefixCls?: string;
    placement?: NotificationPlacement;
    getContainer?: () => HTMLElement;
    closeIcon?: VueNode | (() => VueNode);
}
declare function setNotificationConfig(options: ConfigProps): void;
export interface NotificationArgsProps {
    message: VueNode | (() => VueNode);
    description?: VueNode | (() => VueNode);
    btn?: VueNode | (() => VueNode);
    key?: string;
    onClose?: () => void;
    duration?: number | null;
    icon?: VueNode | (() => VueNode);
    placement?: NotificationPlacement;
    style?: CSSProperties;
    prefixCls?: string;
    class?: string;
    readonly type?: IconType;
    onClick?: () => void;
    top?: string;
    bottom?: string;
    getContainer?: () => HTMLElement;
    closeIcon?: VueNode | (() => VueNode);
    appContext?: any;
}
declare function notice(args: NotificationArgsProps): void;
declare const apiBase: {
    open: typeof notice;
    close(key: string): void;
    config: typeof setNotificationConfig;
    destroy(): void;
};
declare type NotificationApi = typeof apiBase & Record<IconType | 'warn', (args: Omit<NotificationArgsProps, 'type'>) => void>;
declare const api: NotificationApi;
export default api;
