import type { App } from 'vue';
import DirectoryTree from './DirectoryTree';
export type { EventDataNode, DataNode } from '../vc-tree/interface';
export type { TreeProps, AntTreeNodeMouseEvent, AntTreeNodeExpandedEvent, AntTreeNodeCheckedEvent, AntTreeNodeSelectedEvent, AntTreeNodeDragEnterEvent, AntTreeNodeDropEvent, AntdTreeNodeAttribute, TreeDataItem, } from './Tree';
export type { ExpandAction as DirectoryTreeExpandAction, DirectoryTreeProps, } from './DirectoryTree';
declare const TreeNode: import("vue").DefineComponent<{
    eventKey: (NumberConstructor | StringConstructor)[];
    prefixCls: StringConstructor;
    expanded: {
        type: BooleanConstructor;
        default: any;
    };
    selected: {
        type: BooleanConstructor;
        default: any;
    };
    checked: {
        type: BooleanConstructor;
        default: any;
    };
    loaded: {
        type: BooleanConstructor;
        default: any;
    };
    loading: {
        type: BooleanConstructor;
        default: any;
    };
    halfChecked: {
        type: BooleanConstructor;
        default: any;
    };
    title: import("vue-types").VueTypeValidableDef<any>;
    dragOver: {
        type: BooleanConstructor;
        default: any;
    };
    dragOverGapTop: {
        type: BooleanConstructor;
        default: any;
    };
    dragOverGapBottom: {
        type: BooleanConstructor;
        default: any;
    };
    pos: StringConstructor;
    data: {
        type: import("vue").PropType<import("../vc-tree/interface").DataNode>;
        default: import("../vc-tree/interface").DataNode;
    };
    parent: {
        type: import("vue").PropType<import("../vc-tree/interface").DataNode>;
        default: import("../vc-tree/interface").DataNode;
    };
    isStart: {
        type: import("vue").PropType<boolean[]>;
    };
    isEnd: {
        type: import("vue").PropType<boolean[]>;
    };
    active: {
        type: BooleanConstructor;
        default: any;
    };
    onMousemove: {
        type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
    };
    isLeaf: {
        type: BooleanConstructor;
        default: any;
    };
    checkable: {
        type: BooleanConstructor;
        default: any;
    };
    selectable: {
        type: BooleanConstructor;
        default: any;
    };
    disabled: {
        type: BooleanConstructor;
        default: any;
    };
    disableCheckbox: {
        type: BooleanConstructor;
        default: any;
    };
    icon: import("vue-types").VueTypeValidableDef<any>;
    switcherIcon: import("vue-types").VueTypeValidableDef<any>;
    domRef: {
        type: import("vue").PropType<(arg: any) => void>;
    };
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, any, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    eventKey?: unknown;
    prefixCls?: unknown;
    expanded?: unknown;
    selected?: unknown;
    checked?: unknown;
    loaded?: unknown;
    loading?: unknown;
    halfChecked?: unknown;
    title?: unknown;
    dragOver?: unknown;
    dragOverGapTop?: unknown;
    dragOverGapBottom?: unknown;
    pos?: unknown;
    data?: unknown;
    parent?: unknown;
    isStart?: unknown;
    isEnd?: unknown;
    active?: unknown;
    onMousemove?: unknown;
    isLeaf?: unknown;
    checkable?: unknown;
    selectable?: unknown;
    disabled?: unknown;
    disableCheckbox?: unknown;
    icon?: unknown;
    switcherIcon?: unknown;
    domRef?: unknown;
} & {
    data: import("../vc-tree/interface").DataNode;
    parent: import("../vc-tree/interface").DataNode;
} & {
    title?: any;
    onMousemove?: import("../_util/EventInterface").EventHandler;
    prefixCls?: string;
    expanded?: boolean;
    icon?: any;
    active?: boolean;
    disabled?: boolean;
    loading?: boolean;
    checked?: boolean;
    eventKey?: string | number;
    isLeaf?: boolean;
    selectable?: boolean;
    disableCheckbox?: boolean;
    checkable?: boolean;
    domRef?: (arg: any) => void;
    selected?: boolean;
    switcherIcon?: any;
    loaded?: boolean;
    halfChecked?: boolean;
    dragOver?: boolean;
    dragOverGapTop?: boolean;
    dragOverGapBottom?: boolean;
    pos?: string;
    isStart?: boolean[];
    isEnd?: boolean[];
}>, {
    data: import("../vc-tree/interface").DataNode;
    expanded: boolean;
    active: boolean;
    disabled: boolean;
    loading: boolean;
    checked: boolean;
    isLeaf: boolean;
    selectable: boolean;
    disableCheckbox: boolean;
    checkable: boolean;
    selected: boolean;
    loaded: boolean;
    halfChecked: boolean;
    dragOver: boolean;
    dragOverGapTop: boolean;
    dragOverGapBottom: boolean;
    parent: import("../vc-tree/interface").DataNode;
}>;
export { DirectoryTree, TreeNode };
declare const _default: {
    new (...args: any[]): {
        $: import("vue").ComponentInternalInstance;
        $data: {};
        $props: Partial<{
            prefixCls: string;
            multiple: boolean;
            disabled: boolean;
            virtual: boolean;
            selectable: boolean;
            checkable: boolean;
            draggable: boolean;
            focusable: boolean;
            showLine: boolean;
            showIcon: boolean;
            checkStrictly: boolean;
            defaultExpandParent: boolean;
            autoExpandParent: boolean;
            defaultExpandAll: boolean;
            blockNode: boolean;
        }> & Omit<Readonly<{
            showLine?: unknown;
            multiple?: unknown;
            autoExpandParent?: unknown;
            checkStrictly?: unknown;
            checkable?: unknown;
            disabled?: unknown;
            defaultExpandAll?: unknown;
            defaultExpandParent?: unknown;
            defaultExpandedKeys?: unknown;
            expandedKeys?: unknown;
            checkedKeys?: unknown;
            defaultCheckedKeys?: unknown;
            selectedKeys?: unknown;
            defaultSelectedKeys?: unknown;
            selectable?: unknown;
            loadedKeys?: unknown;
            draggable?: unknown;
            showIcon?: unknown;
            icon?: unknown;
            switcherIcon?: unknown;
            prefixCls?: unknown;
            replaceFields?: unknown;
            blockNode?: unknown;
            openAnimation?: unknown;
            focusable?: unknown;
            tabindex?: unknown;
            children?: unknown;
            treeData?: unknown;
            fieldNames?: unknown;
            allowDrop?: unknown;
            dropIndicatorRender?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onKeydown?: unknown;
            onContextmenu?: unknown;
            onClick?: unknown;
            onDblclick?: unknown;
            onScroll?: unknown;
            onExpand?: unknown;
            onCheck?: unknown;
            onSelect?: unknown;
            onLoad?: unknown;
            loadData?: unknown;
            onMouseenter?: unknown;
            onMouseleave?: unknown;
            onRightClick?: unknown;
            onDragstart?: unknown;
            onDragenter?: unknown;
            onDragover?: unknown;
            onDragleave?: unknown;
            onDragend?: unknown;
            onDrop?: unknown;
            onActiveChange?: unknown;
            filterTreeNode?: unknown;
            motion?: unknown;
            height?: unknown;
            itemHeight?: unknown;
            virtual?: unknown;
            direction?: unknown;
        } & {
            prefixCls: string;
        } & {
            height?: number;
            onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                expandedKeys: import("../vc-tree/interface").Key[];
            }) => void;
            onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                dragNode: import("../vc-tree/interface").EventDataNode;
                dragNodesKeys: import("../vc-tree/interface").Key[];
                dropPosition: number;
                dropToGap: boolean;
            }) => void;
            onFocus?: (e: FocusEvent) => void;
            onBlur?: (e: FocusEvent) => void;
            onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
                event: "load";
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            onKeydown?: import("../_util/EventInterface").EventHandler;
            onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onContextmenu?: import("../_util/EventInterface").EventHandler;
            onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
                event: "select";
                selected: boolean;
                node: import("../vc-tree/interface").EventDataNode;
                selectedNodes: import("../vc-tree/interface").DataNode[];
                nativeEvent: MouseEvent;
            }) => void;
            onScroll?: import("../_util/EventInterface").EventHandler;
            direction?: import("../vc-tree/interface").Direction;
            icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
            motion?: any;
            multiple?: boolean;
            disabled?: boolean;
            tabindex?: number;
            virtual?: boolean;
            children?: import("../_util/type").VueNode;
            selectedKeys?: import("../vc-tree/interface").Key[];
            selectable?: boolean;
            itemHeight?: number;
            fieldNames?: unknown;
            checkable?: boolean;
            checkedKeys?: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            };
            draggable?: boolean;
            switcherIcon?: any;
            focusable?: boolean;
            expandedKeys?: import("../vc-tree/interface").Key[];
            loadedKeys?: import("../vc-tree/interface").Key[];
            onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
            treeData?: import("../vc-tree/interface").DataNode[];
            showLine?: boolean;
            showIcon?: boolean;
            checkStrictly?: boolean;
            defaultExpandParent?: boolean;
            autoExpandParent?: boolean;
            defaultExpandAll?: boolean;
            defaultExpandedKeys?: import("../vc-tree/interface").Key[];
            defaultCheckedKeys?: import("../vc-tree/interface").Key[];
            defaultSelectedKeys?: import("../vc-tree/interface").Key[];
            allowDrop?: import("../vc-tree/props").AllowDrop;
            dropIndicatorRender?: (props: {
                dropPosition: 0 | 1 | -1;
                dropLevelOffset: number;
                indent: number;
                prefixCls: string;
                direction: import("../vc-tree/interface").Direction;
            }) => any;
            onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
                node: import("../vc-tree/interface").EventDataNode;
                expanded: boolean;
                nativeEvent: MouseEvent;
            }) => void;
            onCheck?: (checked: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            }, info: import("../vc-tree/props").CheckInfo) => void;
            loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
            onRightClick?: (info: {
                event: MouseEvent;
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
            replaceFields?: unknown;
            blockNode?: boolean;
            openAnimation?: any;
        }> & {
            onDblclick?: (...args: any[]) => any;
            onSelect?: (...args: any[]) => any;
            "onUpdate:selectedKeys"?: (...args: any[]) => any;
            onExpand?: (...args: any[]) => any;
            onCheck?: (...args: any[]) => any;
            "onUpdate:checkedKeys"?: (...args: any[]) => any;
            "onUpdate:expandedKeys"?: (...args: any[]) => any;
            onDoubleclick?: (...args: any[]) => any;
        } & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, "prefixCls" | "multiple" | "disabled" | "virtual" | "selectable" | "checkable" | "draggable" | "focusable" | "showLine" | "showIcon" | "checkStrictly" | "defaultExpandParent" | "autoExpandParent" | "defaultExpandAll" | "blockNode">;
        $attrs: {
            [x: string]: unknown;
        };
        $refs: {
            [x: string]: unknown;
        };
        $slots: Readonly<{
            [name: string]: import("vue").Slot;
        }>;
        $root: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $parent: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>;
        $emit: (event: "select" | "dblclick" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick", ...args: any[]) => void;
        $el: any;
        $options: import("vue").ComponentOptionsBase<Readonly<{
            showLine?: unknown;
            multiple?: unknown;
            autoExpandParent?: unknown;
            checkStrictly?: unknown;
            checkable?: unknown;
            disabled?: unknown;
            defaultExpandAll?: unknown;
            defaultExpandParent?: unknown;
            defaultExpandedKeys?: unknown;
            expandedKeys?: unknown;
            checkedKeys?: unknown;
            defaultCheckedKeys?: unknown;
            selectedKeys?: unknown;
            defaultSelectedKeys?: unknown;
            selectable?: unknown;
            loadedKeys?: unknown;
            draggable?: unknown;
            showIcon?: unknown;
            icon?: unknown;
            switcherIcon?: unknown;
            prefixCls?: unknown;
            replaceFields?: unknown;
            blockNode?: unknown;
            openAnimation?: unknown;
            focusable?: unknown;
            tabindex?: unknown;
            children?: unknown;
            treeData?: unknown;
            fieldNames?: unknown;
            allowDrop?: unknown;
            dropIndicatorRender?: unknown;
            onFocus?: unknown;
            onBlur?: unknown;
            onKeydown?: unknown;
            onContextmenu?: unknown;
            onClick?: unknown;
            onDblclick?: unknown;
            onScroll?: unknown;
            onExpand?: unknown;
            onCheck?: unknown;
            onSelect?: unknown;
            onLoad?: unknown;
            loadData?: unknown;
            onMouseenter?: unknown;
            onMouseleave?: unknown;
            onRightClick?: unknown;
            onDragstart?: unknown;
            onDragenter?: unknown;
            onDragover?: unknown;
            onDragleave?: unknown;
            onDragend?: unknown;
            onDrop?: unknown;
            onActiveChange?: unknown;
            filterTreeNode?: unknown;
            motion?: unknown;
            height?: unknown;
            itemHeight?: unknown;
            virtual?: unknown;
            direction?: unknown;
        } & {
            prefixCls: string;
        } & {
            height?: number;
            onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                expandedKeys: import("../vc-tree/interface").Key[];
            }) => void;
            onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
            onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                dragNode: import("../vc-tree/interface").EventDataNode;
                dragNodesKeys: import("../vc-tree/interface").Key[];
                dropPosition: number;
                dropToGap: boolean;
            }) => void;
            onFocus?: (e: FocusEvent) => void;
            onBlur?: (e: FocusEvent) => void;
            onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
                event: "load";
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            onKeydown?: import("../_util/EventInterface").EventHandler;
            onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onContextmenu?: import("../_util/EventInterface").EventHandler;
            onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
            onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
            onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
                event: "select";
                selected: boolean;
                node: import("../vc-tree/interface").EventDataNode;
                selectedNodes: import("../vc-tree/interface").DataNode[];
                nativeEvent: MouseEvent;
            }) => void;
            onScroll?: import("../_util/EventInterface").EventHandler;
            direction?: import("../vc-tree/interface").Direction;
            icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
            motion?: any;
            multiple?: boolean;
            disabled?: boolean;
            tabindex?: number;
            virtual?: boolean;
            children?: import("../_util/type").VueNode;
            selectedKeys?: import("../vc-tree/interface").Key[];
            selectable?: boolean;
            itemHeight?: number;
            fieldNames?: unknown;
            checkable?: boolean;
            checkedKeys?: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            };
            draggable?: boolean;
            switcherIcon?: any;
            focusable?: boolean;
            expandedKeys?: import("../vc-tree/interface").Key[];
            loadedKeys?: import("../vc-tree/interface").Key[];
            onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
            treeData?: import("../vc-tree/interface").DataNode[];
            showLine?: boolean;
            showIcon?: boolean;
            checkStrictly?: boolean;
            defaultExpandParent?: boolean;
            autoExpandParent?: boolean;
            defaultExpandAll?: boolean;
            defaultExpandedKeys?: import("../vc-tree/interface").Key[];
            defaultCheckedKeys?: import("../vc-tree/interface").Key[];
            defaultSelectedKeys?: import("../vc-tree/interface").Key[];
            allowDrop?: import("../vc-tree/props").AllowDrop;
            dropIndicatorRender?: (props: {
                dropPosition: 0 | 1 | -1;
                dropLevelOffset: number;
                indent: number;
                prefixCls: string;
                direction: import("../vc-tree/interface").Direction;
            }) => any;
            onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
                node: import("../vc-tree/interface").EventDataNode;
                expanded: boolean;
                nativeEvent: MouseEvent;
            }) => void;
            onCheck?: (checked: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            }, info: import("../vc-tree/props").CheckInfo) => void;
            loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
            onRightClick?: (info: {
                event: MouseEvent;
                node: import("../vc-tree/interface").EventDataNode;
            }) => void;
            filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
            replaceFields?: unknown;
            blockNode?: boolean;
            openAnimation?: any;
        }> & {
            onDblclick?: (...args: any[]) => any;
            onSelect?: (...args: any[]) => any;
            "onUpdate:selectedKeys"?: (...args: any[]) => any;
            onExpand?: (...args: any[]) => any;
            onCheck?: (...args: any[]) => any;
            "onUpdate:checkedKeys"?: (...args: any[]) => any;
            "onUpdate:expandedKeys"?: (...args: any[]) => any;
            onDoubleclick?: (...args: any[]) => any;
        }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "dblclick" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick")[], string, {
            prefixCls: string;
            multiple: boolean;
            disabled: boolean;
            virtual: boolean;
            selectable: boolean;
            checkable: boolean;
            draggable: boolean;
            focusable: boolean;
            showLine: boolean;
            showIcon: boolean;
            checkStrictly: boolean;
            defaultExpandParent: boolean;
            autoExpandParent: boolean;
            defaultExpandAll: boolean;
            blockNode: boolean;
        }> & {
            beforeCreate?: (() => void) | (() => void)[];
            created?: (() => void) | (() => void)[];
            beforeMount?: (() => void) | (() => void)[];
            mounted?: (() => void) | (() => void)[];
            beforeUpdate?: (() => void) | (() => void)[];
            updated?: (() => void) | (() => void)[];
            activated?: (() => void) | (() => void)[];
            deactivated?: (() => void) | (() => void)[];
            beforeDestroy?: (() => void) | (() => void)[];
            beforeUnmount?: (() => void) | (() => void)[];
            destroyed?: (() => void) | (() => void)[];
            unmounted?: (() => void) | (() => void)[];
            renderTracked?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            renderTriggered?: ((e: import("vue").DebuggerEvent) => void) | ((e: import("vue").DebuggerEvent) => void)[];
            errorCaptured?: ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void) | ((err: unknown, instance: import("vue").ComponentPublicInstance<{}, {}, {}, {}, {}, {}, {}, {}, false, import("vue").ComponentOptionsBase<any, any, any, any, any, any, any, any, any, {}>>, info: string) => boolean | void)[];
        };
        $forceUpdate: () => void;
        $nextTick: typeof import("vue").nextTick;
        $watch(source: string | Function, cb: Function, options?: import("vue").WatchOptions<boolean>): import("vue").WatchStopHandle;
    } & Readonly<{
        showLine?: unknown;
        multiple?: unknown;
        autoExpandParent?: unknown;
        checkStrictly?: unknown;
        checkable?: unknown;
        disabled?: unknown;
        defaultExpandAll?: unknown;
        defaultExpandParent?: unknown;
        defaultExpandedKeys?: unknown;
        expandedKeys?: unknown;
        checkedKeys?: unknown;
        defaultCheckedKeys?: unknown;
        selectedKeys?: unknown;
        defaultSelectedKeys?: unknown;
        selectable?: unknown;
        loadedKeys?: unknown;
        draggable?: unknown;
        showIcon?: unknown;
        icon?: unknown;
        switcherIcon?: unknown;
        prefixCls?: unknown;
        replaceFields?: unknown;
        blockNode?: unknown;
        openAnimation?: unknown;
        focusable?: unknown;
        tabindex?: unknown;
        children?: unknown;
        treeData?: unknown;
        fieldNames?: unknown;
        allowDrop?: unknown;
        dropIndicatorRender?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onKeydown?: unknown;
        onContextmenu?: unknown;
        onClick?: unknown;
        onDblclick?: unknown;
        onScroll?: unknown;
        onExpand?: unknown;
        onCheck?: unknown;
        onSelect?: unknown;
        onLoad?: unknown;
        loadData?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onRightClick?: unknown;
        onDragstart?: unknown;
        onDragenter?: unknown;
        onDragover?: unknown;
        onDragleave?: unknown;
        onDragend?: unknown;
        onDrop?: unknown;
        onActiveChange?: unknown;
        filterTreeNode?: unknown;
        motion?: unknown;
        height?: unknown;
        itemHeight?: unknown;
        virtual?: unknown;
        direction?: unknown;
    } & {
        prefixCls: string;
    } & {
        height?: number;
        onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
            expandedKeys: import("../vc-tree/interface").Key[];
        }) => void;
        onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
            dragNode: import("../vc-tree/interface").EventDataNode;
            dragNodesKeys: import("../vc-tree/interface").Key[];
            dropPosition: number;
            dropToGap: boolean;
        }) => void;
        onFocus?: (e: FocusEvent) => void;
        onBlur?: (e: FocusEvent) => void;
        onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
            event: "load";
            node: import("../vc-tree/interface").EventDataNode;
        }) => void;
        onKeydown?: import("../_util/EventInterface").EventHandler;
        onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").EventHandler;
        onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
        onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
        onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
        onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
            event: "select";
            selected: boolean;
            node: import("../vc-tree/interface").EventDataNode;
            selectedNodes: import("../vc-tree/interface").DataNode[];
            nativeEvent: MouseEvent;
        }) => void;
        onScroll?: import("../_util/EventInterface").EventHandler;
        direction?: import("../vc-tree/interface").Direction;
        icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
        motion?: any;
        multiple?: boolean;
        disabled?: boolean;
        tabindex?: number;
        virtual?: boolean;
        children?: import("../_util/type").VueNode;
        selectedKeys?: import("../vc-tree/interface").Key[];
        selectable?: boolean;
        itemHeight?: number;
        fieldNames?: unknown;
        checkable?: boolean;
        checkedKeys?: import("../vc-tree/interface").Key[] | {
            checked: import("../vc-tree/interface").Key[];
            halfChecked: import("../vc-tree/interface").Key[];
        };
        draggable?: boolean;
        switcherIcon?: any;
        focusable?: boolean;
        expandedKeys?: import("../vc-tree/interface").Key[];
        loadedKeys?: import("../vc-tree/interface").Key[];
        onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
        treeData?: import("../vc-tree/interface").DataNode[];
        showLine?: boolean;
        showIcon?: boolean;
        checkStrictly?: boolean;
        defaultExpandParent?: boolean;
        autoExpandParent?: boolean;
        defaultExpandAll?: boolean;
        defaultExpandedKeys?: import("../vc-tree/interface").Key[];
        defaultCheckedKeys?: import("../vc-tree/interface").Key[];
        defaultSelectedKeys?: import("../vc-tree/interface").Key[];
        allowDrop?: import("../vc-tree/props").AllowDrop;
        dropIndicatorRender?: (props: {
            dropPosition: 0 | 1 | -1;
            dropLevelOffset: number;
            indent: number;
            prefixCls: string;
            direction: import("../vc-tree/interface").Direction;
        }) => any;
        onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
            node: import("../vc-tree/interface").EventDataNode;
            expanded: boolean;
            nativeEvent: MouseEvent;
        }) => void;
        onCheck?: (checked: import("../vc-tree/interface").Key[] | {
            checked: import("../vc-tree/interface").Key[];
            halfChecked: import("../vc-tree/interface").Key[];
        }, info: import("../vc-tree/props").CheckInfo) => void;
        loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
        onRightClick?: (info: {
            event: MouseEvent;
            node: import("../vc-tree/interface").EventDataNode;
        }) => void;
        filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
        replaceFields?: unknown;
        blockNode?: boolean;
        openAnimation?: any;
    }> & {
        onDblclick?: (...args: any[]) => any;
        onSelect?: (...args: any[]) => any;
        "onUpdate:selectedKeys"?: (...args: any[]) => any;
        onExpand?: (...args: any[]) => any;
        onCheck?: (...args: any[]) => any;
        "onUpdate:checkedKeys"?: (...args: any[]) => any;
        "onUpdate:expandedKeys"?: (...args: any[]) => any;
        onDoubleclick?: (...args: any[]) => any;
    } & import("vue").ShallowUnwrapRef<() => JSX.Element> & {} & {} & import("vue").ComponentCustomProperties;
    __isFragment?: never;
    __isTeleport?: never;
    __isSuspense?: never;
} & import("vue").ComponentOptionsBase<Readonly<{
    showLine?: unknown;
    multiple?: unknown;
    autoExpandParent?: unknown;
    checkStrictly?: unknown;
    checkable?: unknown;
    disabled?: unknown;
    defaultExpandAll?: unknown;
    defaultExpandParent?: unknown;
    defaultExpandedKeys?: unknown;
    expandedKeys?: unknown;
    checkedKeys?: unknown;
    defaultCheckedKeys?: unknown;
    selectedKeys?: unknown;
    defaultSelectedKeys?: unknown;
    selectable?: unknown;
    loadedKeys?: unknown;
    draggable?: unknown;
    showIcon?: unknown;
    icon?: unknown;
    switcherIcon?: unknown;
    prefixCls?: unknown;
    replaceFields?: unknown;
    blockNode?: unknown;
    openAnimation?: unknown;
    focusable?: unknown;
    tabindex?: unknown;
    children?: unknown;
    treeData?: unknown;
    fieldNames?: unknown;
    allowDrop?: unknown;
    dropIndicatorRender?: unknown;
    onFocus?: unknown;
    onBlur?: unknown;
    onKeydown?: unknown;
    onContextmenu?: unknown;
    onClick?: unknown;
    onDblclick?: unknown;
    onScroll?: unknown;
    onExpand?: unknown;
    onCheck?: unknown;
    onSelect?: unknown;
    onLoad?: unknown;
    loadData?: unknown;
    onMouseenter?: unknown;
    onMouseleave?: unknown;
    onRightClick?: unknown;
    onDragstart?: unknown;
    onDragenter?: unknown;
    onDragover?: unknown;
    onDragleave?: unknown;
    onDragend?: unknown;
    onDrop?: unknown;
    onActiveChange?: unknown;
    filterTreeNode?: unknown;
    motion?: unknown;
    height?: unknown;
    itemHeight?: unknown;
    virtual?: unknown;
    direction?: unknown;
} & {
    prefixCls: string;
} & {
    height?: number;
    onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
        expandedKeys: import("../vc-tree/interface").Key[];
    }) => void;
    onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
    onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
        dragNode: import("../vc-tree/interface").EventDataNode;
        dragNodesKeys: import("../vc-tree/interface").Key[];
        dropPosition: number;
        dropToGap: boolean;
    }) => void;
    onFocus?: (e: FocusEvent) => void;
    onBlur?: (e: FocusEvent) => void;
    onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
        event: "load";
        node: import("../vc-tree/interface").EventDataNode;
    }) => void;
    onKeydown?: import("../_util/EventInterface").EventHandler;
    onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
    onContextmenu?: import("../_util/EventInterface").EventHandler;
    onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
    onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
    onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
    onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
        event: "select";
        selected: boolean;
        node: import("../vc-tree/interface").EventDataNode;
        selectedNodes: import("../vc-tree/interface").DataNode[];
        nativeEvent: MouseEvent;
    }) => void;
    onScroll?: import("../_util/EventInterface").EventHandler;
    direction?: import("../vc-tree/interface").Direction;
    icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
    motion?: any;
    multiple?: boolean;
    disabled?: boolean;
    tabindex?: number;
    virtual?: boolean;
    children?: import("../_util/type").VueNode;
    selectedKeys?: import("../vc-tree/interface").Key[];
    selectable?: boolean;
    itemHeight?: number;
    fieldNames?: unknown;
    checkable?: boolean;
    checkedKeys?: import("../vc-tree/interface").Key[] | {
        checked: import("../vc-tree/interface").Key[];
        halfChecked: import("../vc-tree/interface").Key[];
    };
    draggable?: boolean;
    switcherIcon?: any;
    focusable?: boolean;
    expandedKeys?: import("../vc-tree/interface").Key[];
    loadedKeys?: import("../vc-tree/interface").Key[];
    onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
    treeData?: import("../vc-tree/interface").DataNode[];
    showLine?: boolean;
    showIcon?: boolean;
    checkStrictly?: boolean;
    defaultExpandParent?: boolean;
    autoExpandParent?: boolean;
    defaultExpandAll?: boolean;
    defaultExpandedKeys?: import("../vc-tree/interface").Key[];
    defaultCheckedKeys?: import("../vc-tree/interface").Key[];
    defaultSelectedKeys?: import("../vc-tree/interface").Key[];
    allowDrop?: import("../vc-tree/props").AllowDrop;
    dropIndicatorRender?: (props: {
        dropPosition: 0 | 1 | -1;
        dropLevelOffset: number;
        indent: number;
        prefixCls: string;
        direction: import("../vc-tree/interface").Direction;
    }) => any;
    onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
        node: import("../vc-tree/interface").EventDataNode;
        expanded: boolean;
        nativeEvent: MouseEvent;
    }) => void;
    onCheck?: (checked: import("../vc-tree/interface").Key[] | {
        checked: import("../vc-tree/interface").Key[];
        halfChecked: import("../vc-tree/interface").Key[];
    }, info: import("../vc-tree/props").CheckInfo) => void;
    loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
    onRightClick?: (info: {
        event: MouseEvent;
        node: import("../vc-tree/interface").EventDataNode;
    }) => void;
    filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
    replaceFields?: unknown;
    blockNode?: boolean;
    openAnimation?: any;
}> & {
    onDblclick?: (...args: any[]) => any;
    onSelect?: (...args: any[]) => any;
    "onUpdate:selectedKeys"?: (...args: any[]) => any;
    onExpand?: (...args: any[]) => any;
    onCheck?: (...args: any[]) => any;
    "onUpdate:checkedKeys"?: (...args: any[]) => any;
    "onUpdate:expandedKeys"?: (...args: any[]) => any;
    onDoubleclick?: (...args: any[]) => any;
}, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "dblclick" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick")[], "select" | "dblclick" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick", {
    prefixCls: string;
    multiple: boolean;
    disabled: boolean;
    virtual: boolean;
    selectable: boolean;
    checkable: boolean;
    draggable: boolean;
    focusable: boolean;
    showLine: boolean;
    showIcon: boolean;
    checkStrictly: boolean;
    defaultExpandParent: boolean;
    autoExpandParent: boolean;
    defaultExpandAll: boolean;
    blockNode: boolean;
}> & import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps & {
    DirectoryTree: import("vue").DefineComponent<{
        expandAction: {
            type: import("vue").PropType<import("./DirectoryTree").ExpandAction>;
        };
        showLine: {
            type: BooleanConstructor;
            default: any;
        };
        multiple: {
            type: BooleanConstructor;
            default: any;
        };
        autoExpandParent: {
            type: BooleanConstructor;
            default: any;
        };
        checkStrictly: {
            type: BooleanConstructor;
            default: any;
        };
        checkable: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        defaultExpandAll: {
            type: BooleanConstructor;
            default: any;
        };
        defaultExpandParent: {
            type: BooleanConstructor;
            default: any;
        };
        defaultExpandedKeys: {
            type: import("vue").PropType<import("../vc-tree/interface").Key[]>;
        };
        expandedKeys: {
            type: import("vue").PropType<import("../vc-tree/interface").Key[]>;
        };
        checkedKeys: {
            type: import("vue").PropType<import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            }>;
        };
        defaultCheckedKeys: {
            type: import("vue").PropType<import("../vc-tree/interface").Key[]>;
        };
        selectedKeys: {
            type: import("vue").PropType<import("../vc-tree/interface").Key[]>;
        };
        defaultSelectedKeys: {
            type: import("vue").PropType<import("../vc-tree/interface").Key[]>;
        };
        selectable: {
            type: BooleanConstructor;
            default: any;
        };
        loadedKeys: {
            type: import("vue").PropType<import("../vc-tree/interface").Key[]>;
        };
        draggable: {
            type: BooleanConstructor;
            default: any;
        };
        showIcon: {
            type: BooleanConstructor;
            default: any;
        };
        icon: {
            type: import("vue").PropType<(nodeProps: import("./Tree").AntdTreeNodeAttribute) => any>;
        };
        switcherIcon: import("vue-types").VueTypeValidableDef<any>;
        prefixCls: import("vue-types").VueTypeValidableDef<string> & {
            default: string;
        };
        replaceFields: {
            type: import("vue").PropType<import("../vc-tree/interface").FieldNames>;
        };
        blockNode: {
            type: BooleanConstructor;
            default: any;
        };
        openAnimation: import("vue-types").VueTypeValidableDef<any>;
        focusable: {
            type: BooleanConstructor;
            default: any;
        };
        tabindex: NumberConstructor;
        children: import("vue-types").VueTypeValidableDef<import("../_util/type").VueNode>;
        treeData: {
            type: import("vue").PropType<import("../vc-tree/interface").DataNode[]>;
        };
        fieldNames: {
            type: import("vue").PropType<import("../vc-tree/interface").FieldNames>;
        };
        allowDrop: {
            type: import("vue").PropType<import("../vc-tree/props").AllowDrop>;
        };
        dropIndicatorRender: {
            type: import("vue").PropType<(props: {
                dropPosition: 0 | 1 | -1;
                dropLevelOffset: number;
                indent: number;
                prefixCls: string;
                direction: import("../vc-tree/interface").Direction;
            }) => any>;
        };
        onFocus: {
            type: import("vue").PropType<(e: FocusEvent) => void>;
        };
        onBlur: {
            type: import("vue").PropType<(e: FocusEvent) => void>;
        };
        onKeydown: {
            type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
        };
        onContextmenu: {
            type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
        };
        onClick: {
            type: import("vue").PropType<import("../vc-tree/contextTypes").NodeMouseEventHandler>;
        };
        onDblclick: {
            type: import("vue").PropType<import("../vc-tree/contextTypes").NodeMouseEventHandler>;
        };
        onScroll: {
            type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
        };
        onExpand: {
            type: import("vue").PropType<(expandedKeys: import("../vc-tree/interface").Key[], info: {
                node: import("../vc-tree/interface").EventDataNode;
                expanded: boolean;
                nativeEvent: MouseEvent;
            }) => void>;
        };
        onCheck: {
            type: import("vue").PropType<(checked: import("../vc-tree/interface").Key[] | {
                checked: import("../vc-tree/interface").Key[];
                halfChecked: import("../vc-tree/interface").Key[];
            }, info: import("../vc-tree/props").CheckInfo) => void>;
        };
        onSelect: {
            type: import("vue").PropType<(selectedKeys: import("../vc-tree/interface").Key[], info: {
                event: "select";
                selected: boolean;
                node: import("../vc-tree/interface").EventDataNode;
                selectedNodes: import("../vc-tree/interface").DataNode[];
                nativeEvent: MouseEvent;
            }) => void>;
        };
        onLoad: {
            type: import("vue").PropType<(loadedKeys: import("../vc-tree/interface").Key[], info: {
                event: "load";
                node: import("../vc-tree/interface").EventDataNode;
            }) => void>;
        };
        loadData: {
            type: import("vue").PropType<(treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>>;
        };
        onMouseenter: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void>;
        };
        onMouseleave: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void>;
        };
        onRightClick: {
            type: import("vue").PropType<(info: {
                event: MouseEvent;
                node: import("../vc-tree/interface").EventDataNode;
            }) => void>;
        };
        onDragstart: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeDragEventParams) => void>;
        };
        onDragenter: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                expandedKeys: import("../vc-tree/interface").Key[];
            }) => void>;
        };
        onDragover: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeDragEventParams) => void>;
        };
        onDragleave: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeDragEventParams) => void>;
        };
        onDragend: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeDragEventParams) => void>;
        };
        onDrop: {
            type: import("vue").PropType<(info: import("../vc-tree/contextTypes").NodeDragEventParams & {
                dragNode: import("../vc-tree/interface").EventDataNode;
                dragNodesKeys: import("../vc-tree/interface").Key[];
                dropPosition: number;
                dropToGap: boolean;
            }) => void>;
        };
        onActiveChange: {
            type: import("vue").PropType<(key: import("../vc-tree/interface").Key) => void>;
        };
        filterTreeNode: {
            type: import("vue").PropType<(treeNode: import("../vc-tree/interface").EventDataNode) => boolean>;
        };
        motion: import("vue-types").VueTypeValidableDef<any>;
        height: NumberConstructor;
        itemHeight: NumberConstructor;
        virtual: {
            type: BooleanConstructor;
            default: any;
        };
        direction: {
            type: import("vue").PropType<import("../vc-tree/interface").Direction>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, ("select" | "click" | "dblclick" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick")[], "select" | "click" | "dblclick" | "update:selectedKeys" | "check" | "update:checkedKeys" | "update:expandedKeys" | "expand" | "doubleclick", import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        expandAction?: unknown;
        showLine?: unknown;
        multiple?: unknown;
        autoExpandParent?: unknown;
        checkStrictly?: unknown;
        checkable?: unknown;
        disabled?: unknown;
        defaultExpandAll?: unknown;
        defaultExpandParent?: unknown;
        defaultExpandedKeys?: unknown;
        expandedKeys?: unknown;
        checkedKeys?: unknown;
        defaultCheckedKeys?: unknown;
        selectedKeys?: unknown;
        defaultSelectedKeys?: unknown;
        selectable?: unknown;
        loadedKeys?: unknown;
        draggable?: unknown;
        showIcon?: unknown;
        icon?: unknown;
        switcherIcon?: unknown;
        prefixCls?: unknown;
        replaceFields?: unknown;
        blockNode?: unknown;
        openAnimation?: unknown;
        focusable?: unknown;
        tabindex?: unknown;
        children?: unknown;
        treeData?: unknown;
        fieldNames?: unknown;
        allowDrop?: unknown;
        dropIndicatorRender?: unknown;
        onFocus?: unknown;
        onBlur?: unknown;
        onKeydown?: unknown;
        onContextmenu?: unknown;
        onClick?: unknown;
        onDblclick?: unknown;
        onScroll?: unknown;
        onExpand?: unknown;
        onCheck?: unknown;
        onSelect?: unknown;
        onLoad?: unknown;
        loadData?: unknown;
        onMouseenter?: unknown;
        onMouseleave?: unknown;
        onRightClick?: unknown;
        onDragstart?: unknown;
        onDragenter?: unknown;
        onDragover?: unknown;
        onDragleave?: unknown;
        onDragend?: unknown;
        onDrop?: unknown;
        onActiveChange?: unknown;
        filterTreeNode?: unknown;
        motion?: unknown;
        height?: unknown;
        itemHeight?: unknown;
        virtual?: unknown;
        direction?: unknown;
    } & {
        prefixCls: string;
    } & {
        height?: number;
        onDragend?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragenter?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
            expandedKeys: import("../vc-tree/interface").Key[];
        }) => void;
        onDragleave?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragover?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDragstart?: (info: import("../vc-tree/contextTypes").NodeDragEventParams) => void;
        onDrop?: (info: import("../vc-tree/contextTypes").NodeDragEventParams & {
            dragNode: import("../vc-tree/interface").EventDataNode;
            dragNodesKeys: import("../vc-tree/interface").Key[];
            dropPosition: number;
            dropToGap: boolean;
        }) => void;
        onFocus?: (e: FocusEvent) => void;
        onBlur?: (e: FocusEvent) => void;
        onLoad?: (loadedKeys: import("../vc-tree/interface").Key[], info: {
            event: "load";
            node: import("../vc-tree/interface").EventDataNode;
        }) => void;
        onKeydown?: import("../_util/EventInterface").EventHandler;
        onClick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
        onContextmenu?: import("../_util/EventInterface").EventHandler;
        onDblclick?: import("../vc-tree/contextTypes").NodeMouseEventHandler;
        onMouseenter?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
        onMouseleave?: (info: import("../vc-tree/contextTypes").NodeMouseEventParams) => void;
        onSelect?: (selectedKeys: import("../vc-tree/interface").Key[], info: {
            event: "select";
            selected: boolean;
            node: import("../vc-tree/interface").EventDataNode;
            selectedNodes: import("../vc-tree/interface").DataNode[];
            nativeEvent: MouseEvent;
        }) => void;
        onScroll?: import("../_util/EventInterface").EventHandler;
        direction?: import("../vc-tree/interface").Direction;
        icon?: (nodeProps: import("./Tree").AntdTreeNodeAttribute) => any;
        motion?: any;
        multiple?: boolean;
        disabled?: boolean;
        tabindex?: number;
        virtual?: boolean;
        children?: import("../_util/type").VueNode;
        selectedKeys?: import("../vc-tree/interface").Key[];
        selectable?: boolean;
        itemHeight?: number;
        fieldNames?: unknown;
        checkable?: boolean;
        checkedKeys?: import("../vc-tree/interface").Key[] | {
            checked: import("../vc-tree/interface").Key[];
            halfChecked: import("../vc-tree/interface").Key[];
        };
        draggable?: boolean;
        switcherIcon?: any;
        focusable?: boolean;
        expandedKeys?: import("../vc-tree/interface").Key[];
        loadedKeys?: import("../vc-tree/interface").Key[];
        onActiveChange?: (key: import("../vc-tree/interface").Key) => void;
        treeData?: import("../vc-tree/interface").DataNode[];
        showLine?: boolean;
        showIcon?: boolean;
        checkStrictly?: boolean;
        defaultExpandParent?: boolean;
        autoExpandParent?: boolean;
        defaultExpandAll?: boolean;
        defaultExpandedKeys?: import("../vc-tree/interface").Key[];
        defaultCheckedKeys?: import("../vc-tree/interface").Key[];
        defaultSelectedKeys?: import("../vc-tree/interface").Key[];
        allowDrop?: import("../vc-tree/props").AllowDrop;
        dropIndicatorRender?: (props: {
            dropPosition: 0 | 1 | -1;
            dropLevelOffset: number;
            indent: number;
            prefixCls: string;
            direction: import("../vc-tree/interface").Direction;
        }) => any;
        onExpand?: (expandedKeys: import("../vc-tree/interface").Key[], info: {
            node: import("../vc-tree/interface").EventDataNode;
            expanded: boolean;
            nativeEvent: MouseEvent;
        }) => void;
        onCheck?: (checked: import("../vc-tree/interface").Key[] | {
            checked: import("../vc-tree/interface").Key[];
            halfChecked: import("../vc-tree/interface").Key[];
        }, info: import("../vc-tree/props").CheckInfo) => void;
        loadData?: (treeNode: import("../vc-tree/interface").EventDataNode) => Promise<void>;
        onRightClick?: (info: {
            event: MouseEvent;
            node: import("../vc-tree/interface").EventDataNode;
        }) => void;
        filterTreeNode?: (treeNode: import("../vc-tree/interface").EventDataNode) => boolean;
        replaceFields?: unknown;
        blockNode?: boolean;
        openAnimation?: any;
        expandAction?: import("./DirectoryTree").ExpandAction;
    }> & {
        onClick?: (...args: any[]) => any;
        onDblclick?: (...args: any[]) => any;
        onSelect?: (...args: any[]) => any;
        "onUpdate:selectedKeys"?: (...args: any[]) => any;
        onExpand?: (...args: any[]) => any;
        onCheck?: (...args: any[]) => any;
        "onUpdate:checkedKeys"?: (...args: any[]) => any;
        "onUpdate:expandedKeys"?: (...args: any[]) => any;
        onDoubleclick?: (...args: any[]) => any;
    }, {
        prefixCls: string;
        multiple: boolean;
        disabled: boolean;
        virtual: boolean;
        selectable: boolean;
        checkable: boolean;
        draggable: boolean;
        focusable: boolean;
        showLine: boolean;
        showIcon: boolean;
        checkStrictly: boolean;
        defaultExpandParent: boolean;
        autoExpandParent: boolean;
        defaultExpandAll: boolean;
        blockNode: boolean;
    }>;
    TreeNode: import("vue").DefineComponent<{
        eventKey: (NumberConstructor | StringConstructor)[];
        prefixCls: StringConstructor;
        expanded: {
            type: BooleanConstructor;
            default: any;
        };
        selected: {
            type: BooleanConstructor;
            default: any;
        };
        checked: {
            type: BooleanConstructor;
            default: any;
        };
        loaded: {
            type: BooleanConstructor;
            default: any;
        };
        loading: {
            type: BooleanConstructor;
            default: any;
        };
        halfChecked: {
            type: BooleanConstructor;
            default: any;
        };
        title: import("vue-types").VueTypeValidableDef<any>;
        dragOver: {
            type: BooleanConstructor;
            default: any;
        };
        dragOverGapTop: {
            type: BooleanConstructor;
            default: any;
        };
        dragOverGapBottom: {
            type: BooleanConstructor;
            default: any;
        };
        pos: StringConstructor;
        data: {
            type: import("vue").PropType<import("../vc-tree/interface").DataNode>;
            default: import("../vc-tree/interface").DataNode;
        };
        parent: {
            type: import("vue").PropType<import("../vc-tree/interface").DataNode>;
            default: import("../vc-tree/interface").DataNode;
        };
        isStart: {
            type: import("vue").PropType<boolean[]>;
        };
        isEnd: {
            type: import("vue").PropType<boolean[]>;
        };
        active: {
            type: BooleanConstructor;
            default: any;
        };
        onMousemove: {
            type: import("vue").PropType<import("../_util/EventInterface").EventHandler>;
        };
        isLeaf: {
            type: BooleanConstructor;
            default: any;
        };
        checkable: {
            type: BooleanConstructor;
            default: any;
        };
        selectable: {
            type: BooleanConstructor;
            default: any;
        };
        disabled: {
            type: BooleanConstructor;
            default: any;
        };
        disableCheckbox: {
            type: BooleanConstructor;
            default: any;
        };
        icon: import("vue-types").VueTypeValidableDef<any>;
        switcherIcon: import("vue-types").VueTypeValidableDef<any>;
        domRef: {
            type: import("vue").PropType<(arg: any) => void>;
        };
    }, () => JSX.Element, unknown, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, Record<string, any>, any, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
        eventKey?: unknown;
        prefixCls?: unknown;
        expanded?: unknown;
        selected?: unknown;
        checked?: unknown;
        loaded?: unknown;
        loading?: unknown;
        halfChecked?: unknown;
        title?: unknown;
        dragOver?: unknown;
        dragOverGapTop?: unknown;
        dragOverGapBottom?: unknown;
        pos?: unknown;
        data?: unknown;
        parent?: unknown;
        isStart?: unknown;
        isEnd?: unknown;
        active?: unknown;
        onMousemove?: unknown;
        isLeaf?: unknown;
        checkable?: unknown;
        selectable?: unknown;
        disabled?: unknown;
        disableCheckbox?: unknown;
        icon?: unknown;
        switcherIcon?: unknown;
        domRef?: unknown;
    } & {
        data: import("../vc-tree/interface").DataNode;
        parent: import("../vc-tree/interface").DataNode;
    } & {
        title?: any;
        onMousemove?: import("../_util/EventInterface").EventHandler;
        prefixCls?: string;
        expanded?: boolean;
        icon?: any;
        active?: boolean;
        disabled?: boolean;
        loading?: boolean;
        checked?: boolean;
        eventKey?: string | number;
        isLeaf?: boolean;
        selectable?: boolean;
        disableCheckbox?: boolean;
        checkable?: boolean;
        domRef?: (arg: any) => void;
        selected?: boolean;
        switcherIcon?: any;
        loaded?: boolean;
        halfChecked?: boolean;
        dragOver?: boolean;
        dragOverGapTop?: boolean;
        dragOverGapBottom?: boolean;
        pos?: string;
        isStart?: boolean[];
        isEnd?: boolean[];
    }>, {
        data: import("../vc-tree/interface").DataNode;
        expanded: boolean;
        active: boolean;
        disabled: boolean;
        loading: boolean;
        checked: boolean;
        isLeaf: boolean;
        selectable: boolean;
        disableCheckbox: boolean;
        checkable: boolean;
        selected: boolean;
        loaded: boolean;
        halfChecked: boolean;
        dragOver: boolean;
        dragOverGapTop: boolean;
        dragOverGapBottom: boolean;
        parent: import("../vc-tree/interface").DataNode;
    }>;
    install: (app: App) => App<any>;
};
export default _default;
