import type { PropType, ExtractPropTypes } from 'vue';
export declare type StrokeColorType = string | string[] | object;
export declare type GapPositionType = 'top' | 'right' | 'bottom' | 'left';
export declare type StrokeLinecapType = 'round' | 'butt' | 'square';
export declare const propTypes: {
    gapDegree: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    gapPosition: {
        type: PropType<GapPositionType>;
    };
    percent: {
        type: PropType<number | number[]>;
    };
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    strokeColor: {
        type: PropType<StrokeColorType>;
    };
    strokeLinecap: {
        type: PropType<StrokeLinecapType>;
    };
    strokeWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    trailColor: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    trailWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    transition: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
};
export declare type ProgressProps = Partial<ExtractPropTypes<typeof propTypes>>;
