import type { Ref } from 'vue';
import type { FlattenDataNode, Key, RawValueType } from '../interface';
export declare type SkipType = null | 'select' | 'checkbox';
export declare function isDisabled(dataNode: FlattenDataNode, skipType: SkipType): boolean;
export default function useKeyValueMapping(cacheKeyMap: Ref<Map<Key, FlattenDataNode>>, cacheValueMap: Ref<Map<RawValueType, FlattenDataNode>>): [
    (key: Key, skipType?: SkipType, ignoreDisabledCheck?: boolean) => FlattenDataNode,
    (value: RawValueType, skipType?: SkipType, ignoreDisabledCheck?: boolean) => FlattenDataNode
];
