import type { PropType, VNodeChild, ExtractPropTypes } from 'vue';
export declare const progressStatuses: ["normal", "exception", "active", "success"];
export declare type ProgressStatusesType = typeof progressStatuses[number];
declare const ProgressType: ["line", "circle", "dashboard"];
export declare type ProgressType = typeof ProgressType[number];
declare const ProgressSize: ["default", "small"];
export declare type ProgressSize = typeof ProgressSize[number];
export declare type StringGradients = {
    [percentage: string]: string;
};
declare type FromToGradients = {
    from: string;
    to: string;
};
export declare type ProgressGradient = {
    direction?: string;
} & (StringGradients | FromToGradients);
export interface SuccessProps {
    percent?: number;
    strokeColor?: string;
}
export declare const progressProps: () => {
    prefixCls: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    type: import("vue-types").VueTypeDef<"circle" | "line" | "dashboard">;
    percent: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    format: {
        type: PropType<(percent?: number, successPercent?: number) => VNodeChild>;
    };
    status: import("vue-types").VueTypeDef<"normal" | "active" | "success" | "exception">;
    showInfo: import("vue-types").VueTypeValidableDef<boolean>;
    strokeWidth: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    strokeLinecap: import("vue-types").VueTypeDef<"round" | "butt" | "square">;
    strokeColor: {
        type: PropType<string | ProgressGradient>;
    };
    trailColor: import("vue-types").VueTypeValidableDef<string> & {
        default: string;
    };
    width: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    success: {
        type: PropType<SuccessProps>;
        default: () => SuccessProps;
    };
    gapDegree: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    gapPosition: import("vue-types").VueTypeDef<"left" | "right" | "bottom" | "top">;
    size: import("vue-types").VueTypeDef<"default" | "small">;
    steps: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
    /** @deprecated Use `success` instead */
    successPercent: import("vue-types").VueTypeValidableDef<number> & {
        default: number;
    };
};
export declare type ProgressProps = Partial<ExtractPropTypes<ReturnType<typeof progressProps>>>;
export {};
