import type { HTMLAttributes } from 'vue';
import type { DataIndex, ColumnType, CustomizeComponent, DefaultRecordType, AlignType, CellEllipsisType, TransformCellText } from '../interface';
export interface CellProps<RecordType = DefaultRecordType> {
    prefixCls?: string;
    record?: RecordType;
    /** `record` index. Not `column` index. */
    index?: number;
    dataIndex?: DataIndex;
    customRender?: ColumnType<RecordType>['customRender'];
    component?: CustomizeComponent;
    colSpan?: number;
    rowSpan?: number;
    ellipsis?: CellEllipsisType;
    align?: AlignType;
    fixLeft?: number | false;
    fixRight?: number | false;
    firstFixLeft?: boolean;
    lastFixLeft?: boolean;
    firstFixRight?: boolean;
    lastFixRight?: boolean;
    /** @private Used for `expandable` with nest tree */
    appendNode?: any;
    additionalProps?: HTMLAttributes;
    rowType?: 'header' | 'body' | 'footer';
    isSticky?: boolean;
    column?: ColumnType<RecordType>;
    cellType?: 'header' | 'body';
    transformCellText?: TransformCellText<RecordType>;
}
declare const _default: import("vue").DefineComponent<CellProps<DefaultRecordType>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<CellProps<DefaultRecordType>>, {
    appendNode: any;
}>;
export default _default;
