import type { ComputedRef, Ref } from 'vue';
import type { DataNode, InternalDataEntity, SimpleModeConfig, FieldNames } from '../interface';
/**
 * Convert `treeData` or `children` into formatted `treeData`.
 * Will not re-calculate if `treeData` or `children` not change.
 */
export default function useTreeData(treeData: Ref<DataNode[]>, children: Ref<any[]>, { getLabelProp, simpleMode, fieldNames, }: {
    getLabelProp: (node: DataNode) => any;
    simpleMode: Ref<boolean | SimpleModeConfig>;
    fieldNames: Ref<FieldNames>;
}): ComputedRef<InternalDataEntity[]>;
